Productsup
CDE APIApi referenceManagement

Update defaults for an integrator, such as platform account/project/site for dev or prod.

Sign in to run requests against the CDE API.
PUT
/defaults/integrators/{integratorId}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

integratorId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/defaults/integrators/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "dev-defaults": {      "account": 1,      "project": 2    },    "prod-defaults": {      "accounts": [        11,        12      ],      "projects": [        21,        22      ],      "sites": [        31,        32      ]    }  }'
{
  "message": "Successfully updated integrator defaults.",
  "resource": "integrator-defaults",
  "data": {
    "integrator": "019e16f3-9b8f-7ada-8679-4b0e846ef09b",
    "has-owner": false,
    "owner": null,
    "dev-defaults": {
      "account": 1,
      "project": 2
    },
    "prod-defaults": {
      "accounts": [
        11,
        12
      ],
      "projects": [
        21,
        22
      ],
      "sites": [
        31,
        32
      ]
    }
  }
}
{
  "message": "Bad request.",
  "errors": {
    "dev-defaults.account": "This value should be greater than 0.",
    "dev-defaults.project": "This value should be greater than 0.",
    "prod-defaults.accounts": "All values must be integers greater than 0.",
    "prod-defaults.projects": "All values must be integers greater than 0.",
    "prod-defaults.sites": "All values must be integers greater than 0."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?